//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------


void __fastcall TForm1::FormCreate(TObject *Sender)
{
  Image1->Canvas->Brush->Color = clWhite;
  LabeledEdit1->Text = 10;
  LabeledEdit2->Text = 10;
  LabeledEdit3->Text = Image1->Width - 11;
  LabeledEdit4->Text = Image1->Height - 11;

  // Ustalenie startowych paremetrow piora
  Image1->Canvas->Pen->Color = clBlack;
  Image1->Canvas->Pen->Style = psSolid;

  // Ustalenie zawartosci "ikonek" informacji o wypelnieniu i linii
  Shape1->Brush->Color = Image1->Canvas->Pen->Color;
  Shape2->Brush->Color = Panel1->Color;
  Shape2->Pen->Style = Image1->Canvas->Pen->Style;


}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
  TColor saveColor = Image1->Canvas->Brush->Color;
  TBrushStyle saveStyle = Image1->Canvas->Brush->Style;
  Image1->Canvas->Brush->Color = clWhite;
  Image1->Canvas->Brush->Style = bsSolid;
  Image1->Canvas->FillRect( Rect( 0, 0, Image1->Width-1, Image1->Height-1 ) );
  // Alternatywnie, w zaleznosci od okolicznosci:
  // Image1->Invalidate();
  Image1->Canvas->Brush->Color = saveColor;
  Image1->Canvas->Brush->Style = saveStyle;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
  if( ColorDialog1->Execute() )
  {
    Image1->Canvas->Pen->Color = ColorDialog1->Color;
    Shape1->Brush->Color = Image1->Canvas->Pen->Color;
    Panel3->BevelOuter = bvRaised;
    Panel4->BevelOuter = bvRaised;
    Panel5->BevelOuter = bvRaised;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Panel3Click(TObject *Sender)
{
  TPanel * p = dynamic_cast<TPanel *>( Sender );
  if( p != 0 )
  {
    Image1->Canvas->Pen->Color = p->Color;
    Shape1->Brush->Color = Image1->Canvas->Pen->Color;
    Panel3->BevelOuter = bvRaised;
    Panel4->BevelOuter = bvRaised;
    Panel5->BevelOuter = bvRaised;
    p->BevelOuter = bvLowered;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
  Image1->Canvas->Pen->Style = psSolid;
  Shape2->Pen->Style = Image1->Canvas->Pen->Style;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button4Click(TObject *Sender)
{
  Image1->Canvas->Pen->Style = psDash;
  Shape2->Pen->Style = Image1->Canvas->Pen->Style;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button5Click(TObject *Sender)
{
  Image1->Canvas->Pen->Style = psDot;
  Shape2->Pen->Style = Image1->Canvas->Pen->Style;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button6Click(TObject *Sender)
{
  Image1->Canvas->Pen->Style = psDashDot;
  Shape2->Pen->Style = Image1->Canvas->Pen->Style;  
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button7Click(TObject *Sender)
{
  try
  {
    int x1 = StrToInt( LabeledEdit1->Text );
    int y1 = StrToInt( LabeledEdit2->Text );
    int x2 = StrToInt( LabeledEdit3->Text );
    int y2 = StrToInt( LabeledEdit4->Text );
    // Pobranie grubosci linii
    int lineWidth = StrToInt( Edit1->Text );
    Image1->Canvas->Pen->Width = lineWidth;
    // Ustawienie piora na pozycji pierwszego punktu
    Image1->Canvas->MoveTo( x1, y1 );
    // NArysowanie linii od pozycji biezacej piora do punky drugiego
    Image1->Canvas->LineTo( x2, y2 );
  }
  catch( ... )
  {
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button8Click(TObject *Sender)
{
  try
  {
    int x1 = StrToInt( LabeledEdit1->Text );
    int y1 = StrToInt( LabeledEdit2->Text );
    int x2 = StrToInt( LabeledEdit3->Text );
    int y2 = StrToInt( LabeledEdit4->Text );
    // Pobranie grubosci linii
    int lineWidth = StrToInt( Edit1->Text );
    Image1->Canvas->Pen->Width = lineWidth;
    // Rysowani prostokata wg ustalonych parametrow piora i pedzla
    Image1->Canvas->Rectangle( x1, y1, x2, y2 );
  }
  catch( ... )
  {
  }
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------

void __fastcall TForm1::Edit1Change(TObject *Sender)
{
  try
  {
   int number = StrToInt( Edit1->Text );
   if( number > 1 )
     StatusBar1->SimpleText = "W gruboci > 1 linie kropkowe i kreskowe nie s dostpne.";
   else
     StatusBar1->SimpleText = "";
  }
  catch( ... )
  {
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button9Click(TObject *Sender)
{
  if( ColorDialog1->Execute() )
    Image1->Canvas->Brush->Color = ColorDialog1->Color;
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Button10Click(TObject *Sender)
{
    PopupMenu1->Popup( Left + Button10->Left + 10, Top + Button10->Top + 10 );
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Pene1Click(TObject *Sender)
{
  Image1->Canvas->Brush->Style = bsSolid;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Kreskiwlewo1Click(TObject *Sender)
{
  Image1->Canvas->Brush->Style = bsBDiagonal;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Kreskiwprawo1Click(TObject *Sender)
{
  Image1->Canvas->Brush->Style = bsFDiagonal;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Kratownica1Click(TObject *Sender)
{
  Image1->Canvas->Brush->Style = bsDiagCross;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Kreskipionowe1Click(TObject *Sender)
{
  Image1->Canvas->Brush->Style = bsVertical;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Kreskipoziome1Click(TObject *Sender)
{
  Image1->Canvas->Brush->Style = bsHorizontal;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Karatownica1Click(TObject *Sender)
{
  Image1->Canvas->Brush->Style = bsCross;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::PopupMenu1Popup(TObject *Sender)
{
  switch( Image1->Canvas->Brush->Style )
  {
    case bsSolid      : Pene1->Checked = true;
                        break;
    case bsBDiagonal  : Kreskiwlewo1->Checked = true;
                        break;
    case bsFDiagonal  : Kreskiwprawo1->Checked = true;
                        break;
    case bsDiagCross  : Kratownica1->Checked = true;
                        break;
    case bsVertical   : Kreskipionowe1->Checked = true;
                        break;
    case bsHorizontal : Kreskipoziome1->Checked = true;
                        break;
    case bsCross      : Karatownica1->Checked = true;
                        break;
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button11Click(TObject *Sender)
{
  try
  {
    int x1 = StrToInt( LabeledEdit1->Text );
    int y1 = StrToInt( LabeledEdit2->Text );
    int x2 = StrToInt( LabeledEdit3->Text );
    int y2 = StrToInt( LabeledEdit4->Text );
    // Pobranie grubosci linii
    int lineWidth = StrToInt( Edit1->Text );
    Image1->Canvas->Pen->Width = lineWidth;
    // Rysowani prostokata wg ustalonych parametrow piora i pedzla
    Image1->Canvas->Ellipse( x1, y1, x2, y2 );
  }
  catch( ... )
  {
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button12Click(TObject *Sender)
{
  try
  {
    int x1 = StrToInt( LabeledEdit1->Text );
    int y1 = StrToInt( LabeledEdit2->Text );
    int x2 = StrToInt( LabeledEdit3->Text );
    int y2 = StrToInt( LabeledEdit4->Text );
    // Pobranie grubosci linii
    int lineWidth = StrToInt( Edit1->Text );
    Image1->Canvas->Pen->Width = lineWidth;
    // Rysowani prostokata wg ustalonych parametrow piora i pedzla
    Image1->Canvas->RoundRect( x1, y1, x2, y2, 10, 10 );
  }
  catch( ... )
  {
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button13Click(TObject *Sender)
{
  try
  {
    int x1 = StrToInt( LabeledEdit1->Text );
    int y1 = StrToInt( LabeledEdit2->Text );
    int x2 = StrToInt( LabeledEdit3->Text );
    int y2 = StrToInt( LabeledEdit4->Text );
    // Pobranie grubosci linii
    int lineWidth = StrToInt( Edit1->Text );
    Image1->Canvas->Pen->Width = lineWidth;
    // Rysowani prostokata wg ustalonych parametrow piora i pedzla
    Image1->Canvas->Pie( x1, y1, x2, y2,
                         x1,
                         y1 ,
                         x2,
                         y2 ) ;
  }
  catch( ... )
  {
  }
}
//---------------------------------------------------------------------------

